Dependencies Problem - Project Angular 7 and PrimeNG 7.1.3

UI Components for Angular
Post Reply
felipesabino
Posts: 1
Joined: 12 Jul 2019, 15:21

12 Jul 2019, 15:41

Hi,

I would appreciate having some help.

I have an Angular Project and I am using PrimeNG 7.1.3

After importing {TableModule} from 'primeng/table'; my project started to show some errors and warnings. Am I missing any dependency or is that a problem version?

Angular Project Configuration:

@angular-devkit/architect 0.11.4
@angular-devkit/build-angular 0.11.4
@angular-devkit/build-ng-packagr 0.11.4
@angular-devkit/build-optimizer 0.11.4
@angular-devkit/build-webpack 0.11.4
@angular-devkit/core 7.1.4
@angular-devkit/schematics 7.1.4
@angular/cdk 7.0.0
@ngtools/json-schema 1.1.0
@ngtools/webpack 7.1.4
@schematics/angular 7.1.4
@schematics/update 0.11.4
ng-packagr 4.7.1
rxjs 6.3.3
typescript 3.1.6
webpack 4.23.1


The errors and warning:

Code: Select all


platform.es5.js:102 Uncaught TypeError: Object(...) is not a function
    at platform.es5.js:102
    at Module.../../node_modules/@angular/cdk/esm5/platform.es5.js (platform.es5.js:104)
    at __webpack_require__ (bootstrap:78)
    at Module.../../node_modules/@angular/cdk/esm5/scrolling.es5.js (scrolling.es5.js:1)
    at __webpack_require__ (bootstrap:78)
    at Object.../../node_modules/primeng/components/dropdown/dropdown.js (dropdown.js:12)
    at __webpack_require__ (bootstrap:78)
    at Object.../../node_modules/primeng/components/paginator/paginator.js (paginator.js:15)
    at __webpack_require__ (bootstrap:78)
    at Object.../../node_modules/primeng/components/table/table.js (table.js:18)

(anonymous) @ platform.es5.js:102
../../node_modules/@angular/cdk/esm5/platform.es5.js @ platform.es5.js:104
__webpack_require__ @ bootstrap:78
../../node_modules/@angular/cdk/esm5/scrolling.es5.js @ scrolling.es5.js:1
__webpack_require__ @ bootstrap:78
.....

Post Reply

Return to “PrimeNG”

  • Information
  • Who is online

    Users browsing this forum: No registered users and 7 guests